{ lib, ... }:

{
  imports = with lib.custom; [
    (relativeToBase "modules")
    ./actual.nix
    ./boot.nix
    ./caddy.nix
    ./ddclient.nix
    ./forgejo.nix
    ./hardware.nix
    ./headscale.nix
    ./home-assitant.nix
    ./keycloak.nix
    ./mailserver.nix
    ./nextcloud.nix
    ./nginx.nix
    ./podman.nix
    ./postgres.nix
    ./security
  ];

  nix.settings = {
    cores = 2;
    max-jobs = 4;
  };
}
